## lastfm 1.5.4.26862+dfsg

=== debian/changelog ===
lastfm (1:1.5.4.26862+dfsg-6) unstable; urgency=high

  * Back out the undocumented changes that sneaked in with -5.  We only want
    the fix for CVE-2010-3362.

 -- John Stamp <jstamp@users.sourceforge.net>  Mon, 04 Oct 2010 13:23:01 -0700

lastfm (1:1.5.4.26862+dfsg-5) unstable; urgency=high

  * Fix CVE-2010-3362: insecure library loading (Closes: #598294)

 -- John Stamp <jstamp@users.sourceforge.net>  Thu, 30 Sep 2010 14:03:23 -0700

lastfm (1:1.5.4.26862+dfsg-4) unstable; urgency=low

  * Bump Standards-Version to 3.9.1.  No changes needed.
  * Fix warnings when compiling with Qt 4.7

 -- John Stamp <jstamp@users.sourceforge.net>  Wed, 04 Aug 2010 00:44:59 -0400

lastfm (1:1.5.4.26862+dfsg-3) unstable; urgency=low

  * Switch to dh and 3.0 (quilt) source format.
  * Add misc:Depends
  * Add a watch file (comments only)
  * merge reduce-linkage and link-to-needed patches

 -- John Stamp <jstamp@users.sourceforge.net>  Sat, 15 May 2010 09:09:54 -0700

lastfm (1:1.5.4.26862+dfsg-2) unstable; urgency=low

  * Bump Standards-Version to 3.8.4  No changes needed
  * Fix some text/icon display issues when using Qt 4.6

 -- John Stamp <jstamp@users.sourceforge.net>  Thu, 18 Mar 2010 22:16:48 -0700

lastfm (1:1.5.4.26862+dfsg-1) unstable; urgency=low

  * New upstream.
  * Removed patches:
    - cheaper-save-geometry: applied upstream
    - gcc-4.3: applied upstream
    - hide-crashreport-option: applied upstream
  * Add build-kfreebsd.diff to use OSS audio with non-Linux kernels
  * Add descriptions to the quilt patches
  * Link to all needed libraries (Closes: #555076)
  * Bump Standards-Version to 3.8.3  No changes needed

 -- John Stamp <jstamp@users.sourceforge.net>  Thu, 12 Nov 2009 12:31:50 -0800

lastfm (1:1.5.1.31879.dfsg-3) unstable; urgency=low

  * Remove lastfm protocol handler for KDE 3.
  * Fix painting of the sidebar background color during scroll.
  * Bump Standards-Version to 3.8.2.  No changes needed.

 -- John Stamp <jstamp@users.sourceforge.net>  Tue, 07 Jul 2009 20:25:54 -0700

lastfm (1:1.5.1.31879.dfsg-2) unstable; urgency=low

  * Add a lastfm protocol handler for KDE 4.
  * Add qt45.diff to fix building with Qt 4.5.  Thanks to Fabrice Coutadeur.
    (Closes: #524429)
  * Bump standards to 3.8.1.  No changes needed.

 -- John Stamp <jstamp@users.sourceforge.net>  Fri, 17 Apr 2009 20:59:43 -0700

lastfm (1:1.5.1.31879.dfsg-1) unstable; urgency=low

  * New upstream.
  * Install all binaries into /usr/lib/lastfm and remove the lintian override.
    /usr/bin/lastfm is now a script. (Closes: #455073)
  * Bump standards to 3.8.0
    - Move README.Debian-source to README.source and update it.
  * Added patches:
    - hide-crashreport-option: release builds don't do crash reports.
    - set-firstrun-status: don't re-run the setup wizard on every startup.
  * Changed patches:
    - build-fixes: split into build-fixes and reduce-linkage.
    - save-window-states: reduce its scope and rename to cheaper-save-geometry
    - dirpaths: don't change where to look for plugins.
    - alsa-qdebug => alsa-uses-qdebug
    - no-fingerprint => no-fingerprint-lib
    - no-scrobble-directories => hide-scrobbledir-option
  * Removed patches:
    - translations
  * Sync remaining patches.

 -- John Stamp <jstamp@users.sourceforge.net>  Thu, 10 Jul 2008 11:16:32 -0700

lastfm (1:1.4.2.58240.dfsg-3) unstable; urgency=low

  * Add DM-Upload-Allowed header.

 -- John Stamp <jstamp@users.sourceforge.net>  Sat, 05 Jul 2008 13:55:55 -0700

lastfm (1:1.4.2.58240.dfsg-2) unstable; urgency=low

  [ John Stamp ]
  * Add zlib1g-dev to build depends due to recent Qt4 dependency cleanup
    (Closes: #476998)

  [ Adeodato Simó ]
  * Add libx11-dev and x11proto-core-dev to Build-Depends as well.

 -- John Stamp <jstamp@users.sourceforge.net>  Mon, 21 Apr 2008 09:48:20 -0700

lastfm (1:1.4.2.58240.dfsg-1) unstable; urgency=low

  * New Upstream.
  * Build with libgpod-nogtk-dev.
  * Added patches:
    - check-soundcard-errors: Don't crash if another program is already using
      the audio device. See LP #188490 for the original report.

 -- John Stamp <jstamp@users.sourceforge.net>  Tue, 05 Feb 2008 23:16:36 -0800

lastfm (1:1.4.1.57486.dfsg-1) unstable; urgency=low

  * Added patches:
    - gcc-4.3.patch: fix compilation on gcc-4.3.
    - no-fingerprint: the fingerprint library isn't needed on Linux and would
      pull in more dependencies.
    - alsa-qdebug: decrease plugin size and reduce unnecessary noisiness in
      the log file.
    - no-scrobble-directories: renamed from no-mediadevice to account for the
      patch's reduced scope.
  * Removed patches:
    - 07_tooltip-segfault-fix
    - 08_silence-debug.diff
    - 11_close-fds
    - 12_fix-http-hangs
    These worked around various bugs that are no longer present in lastfm or
    Qt.
  * Sync remaining patches.
  * Update manpage.
  * Remove deprecated Encoding key in desktop file.
  * Update debian/copyright and make it machine readable.
  * Update README.Debian-source to account for removed source files.
  * Add Homepage field to debian/control and remove dependency on gconf.
  * Bump standards version to 3.7.3.  No changes needed.

 -- John Stamp <jstamp@users.sourceforge.net>  Fri, 14 Dec 2007 20:07:00 -0800

lastfm (1:1.3.2.14.dfsg-1) unstable; urgency=low

  * Added patches:
    - 00_build-fixes
    - 10_save-window-states: properly save window size/state and prevent the
      client from becoming unrecoverably invisible
    - 11_close-fds: invoking a browser or editor no longer blocks audio device
    - 12_fix-http-hangs: Prevent the client from hanging when fetching
      artist/album images. Many thanks to Markus Järvinen for his help in
      tracking this down. (Closes: #435128)
  * Changed patches:
    - 01_translations: fix a mistranslated string
  * Removed patches:
    - 04_alsaplayback: applied upstream
    - 04_transcode: applied upstream
    - 10_container-load: merge with save-window-states; they both modify the

