=== debian/control ===
Source: lastfm
Section: sound
Priority: optional
Maintainer: John Stamp <jstamp@users.sourceforge.net>
Build-Depends: debhelper (>= 7.4.12), libqt4-dev (>= 4.3.0), libgpod-nogtk-dev,
 libmad0-dev, zlib1g-dev, libx11-dev, x11proto-core-dev,
 libasound2-dev (>= 1.0.9) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
Standards-Version: 3.9.1
Homepage: http://www.last.fm/
Vcs-Git: git://git.mehercule.net/lastfm.git
DM-Upload-Allowed: yes

Package: lastfm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: iceweasel | www-browser
Description: a music player for Last.fm personalized radio
 Last.fm is the flagship product from the team that designed the Audioscrobbler
 system, a music engine based on a massive collection of Music Profiles.
 Each music profile belongs to one person, and describes their taste in music.
 Last.fm uses these music profiles to make personalized recommendations, match
 you up with people who like similar music, and generate custom radio
 stations for each person.
 .
 This package will allow you to play your personalized radio station streams
 from the Last.fm website.  You will need a (free) account there to make use
 of this package.
