=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_clean:
	dh_auto_clean -Sqmake
	rm -rf bin/services/* build i18n/*.qm

override_dh_auto_configure:
	dh_auto_configure -Sqmake

override_dh_auto_build:
	dh_auto_build -Sqmake
	cd i18n; lrelease-qt4 *.ts

override_dh_makeshlibs:
	dh_makeshlibs --exclude=usr/lib/lastfm

override_dh_shlibdeps:
	dh_shlibdeps -l $(DESTDIR)/usr/lib/lastfm

%:
	dh $@
