## lastfm 1.5.4.27091+dfsg

=== debian/changelog ===
lastfm (1:1.5.4.27091+dfsg-4) unstable; urgency=low

  * debian/patches/build-fixes.diff: use pkg-config instead of hard-coding
    include paths for glib-2.0 and libgpod.  Closes: #621832, LP: #749089.
  * debian/patches/build-kfreebsd.diff: drop references to /usr/local, which
    have nothing at all to do with a kfreebsd build.
  * Clean the architecture dependent stuff in Build-Depends

 -- John Stamp <jstamp@users.sourceforge.net>  Mon, 11 Apr 2011 16:14:56 -0700

lastfm (1:1.5.4.27091+dfsg-3) unstable; urgency=low

  * Upload to unstable.

 -- John Stamp <jstamp@users.sourceforge.net>  Sun, 13 Mar 2011 17:57:18 -0700

lastfm (1:1.5.4.27091+dfsg-2) experimental; urgency=low

  * Added patch:
    - sidebar-crash-fix: prevent a crash when dragging sidebar items

 -- John Stamp <jstamp@users.sourceforge.net>  Wed, 08 Dec 2010 13:49:09 -0800

lastfm (1:1.5.4.27091+dfsg-1) experimental; urgency=low

  * New upstream.
  * Update debian/rules so the client doesn't spam stdout with debug info
    (Closes: #599605)
  * Added patches:
    - gcc41.diff: fix compilation with gcc >= 4.1
    - hide-loved-radio.diff: this is now unsupported, but the new version
      didn't fully remove it
    - ipod-scrobble-fix.diff: identify ipods by their FirewireGuid; this
      should prevent the duplicate scrobbles bug

 -- John Stamp <jstamp@users.sourceforge.net>  Mon, 06 Dec 2010 11:47:33 -0800
