=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: John Stamp <jstamp@users.sourceforge.net>
 Build-Depends: debhelper (>= 7.4.12), libqt4-dev (>= 4.3.0), libgpod-nogtk-dev,
- libmad0-dev, zlib1g-dev, libx11-dev, x11proto-core-dev,
- libasound2-dev (>= 1.0.9) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
+ libmad0-dev, zlib1g-dev, libx11-dev, x11proto-core-dev, pkg-config,
+ libasound2-dev (>= 1.0.9) [linux-any]
 Standards-Version: 3.9.1
 Homepage: http://www.last.fm/
 Vcs-Git: git://git.mehercule.net/lastfm.git
