=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	rm -rf bin/services/* build i18n/*.qm
 
 override_dh_auto_configure:
-	dh_auto_configure -Sqmake
+	dh_auto_configure -Sqmake -- "DEFINES += NDEBUG"
 
 override_dh_auto_build:
 	dh_auto_build -Sqmake
