## lastfm 1.5.4.27091+dfsg1

=== debian/changelog ===
lastfm (1:1.5.4.27091+dfsg1-1ubuntu1) quantal; urgency=low

  * Resync on Debian.
    - debian/patches/fix_ftbfs.diff: change include from glib/glist.h
      into glib.h. This fixes FTBFS. (LP: #1002885)

 -- Jean-Louis Dupond <jean-louis@dupond.be>  Tue, 22 May 2012 15:42:10 +0200

lastfm (1:1.5.4.27091+dfsg1-1) unstable; urgency=low

  * Remove bundled mpglib
  * Fix compilation with gcc 4.7 (Closes: #667236)
  * Compile with hardened build flags
  * Update debian/copyright
  * Update Standards-Version to 3.9.3

 -- John Stamp <jstamp@users.sourceforge.net>  Mon, 07 May 2012 17:07:35 -0700

lastfm (1:1.5.4.27091+dfsg-6) unstable; urgency=low

  * Fix include flags on Debian GNU/kFreeBSD. Thanks to Christoph Egger.
    Closes: #632506

 -- John Stamp <jstamp@users.sourceforge.net>  Sat, 02 Jul 2011 19:17:22 -0700

lastfm (1:1.5.4.27091+dfsg-5) unstable; urgency=low

  * debian/patches/do_not_prevent_logouts.patch: do not prevent logging out
    when the main window is visible. Closes: #632050, LP: #757794
  * Remove obsolete debian/lastfm.preinst
  * Add libqt4-sql-sqlite to Recommends. LP: #449955
  * Bump Standards-Version to 3.9.2.  No changes needed.
  * Fix description-synopsis-starts-with-article lintian warning

 -- John Stamp <jstamp@users.sourceforge.net>  Sat, 02 Jul 2011 13:27:36 -0700
