=== debian/control ===
Source: lastfm
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: John Stamp <jstamp@users.sourceforge.net>
Build-Depends:
 debhelper (>= 7.4.12),
 dpkg-dev (>= 1.16.1~),
 libasound2-dev (>= 1.0.9) [linux-any],
 libgpod-nogtk-dev,
 libmad0-dev,
 libqt4-dev (>= 4.3.0),
 libx11-dev,
 pkg-config,
 x11proto-core-dev,
 zlib1g-dev
Standards-Version: 3.9.3
Homepage: http://www.last.fm/
Vcs-Git: git://git.mehercule.net/lastfm.git
DM-Upload-Allowed: yes

Package: lastfm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: iceweasel | www-browser, libqt4-sql-sqlite
Description: music player for Last.fm personalized radio
 Last.fm is the flagship product from the team that designed the Audioscrobbler
 system, a music engine based on a massive collection of Music Profiles.
 Each music profile belongs to one person, and describes their taste in music.
 Last.fm uses these music profiles to make personalized recommendations, match
 you up with people who like similar music, and generate custom radio
 stations for each person.
 .
 This package will allow you to play your personalized radio station streams
 from the Last.fm website.  You will need a (free) account there to make use
 of this package.
