=== debian/watch ===
# Upstream has not been releasing tarballs at a consistent location, so a watch
# file won't help.  The situation should improve with the next major version of
# the client.
